﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Agilent DSO6034A: (1 year) VER IEEE /9500+1Hd
DATE:                  2011-02-09 08:24:09
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       303
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        GCM, DFM, DAC, CAD
# 
#  Model(s) Covered:
#        DSO6034A
# 
#  Compatibility:
#        MET/CAL 7.3 or later
# 
#  Source(s):
#        Agilent 6000 Series Oscilloscopes Service Guide,
#          Part No. 54684-97029, August 2008
#        Agilent Technologies InfiniiVision 6000 Series
#          Oscilloscopes Data Sheet,
#          Part No. 5989-2000EN, October 1, 2009
# 
#  Subprocedures:
#        Sub Display Copyright
#        Sub UUT Connection GPIB
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub Self Test SCPI No Connection
#        Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500
#        Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500
#        Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500
#        Sub AT MSO/DSO6xxx (1 yr) Horiz Delta t IEEE /9500
#        Sub AT MSO/DSO6xx4 (1 yr) Ext Trig 4Ch IEEE /9500
#        Sub AT MSO/DSO6xxx Select Channel
#        Sub AT MSO/DSO6xxx Wait for Triggered
#        Sub AT MSO/DSO6xxx Check Date Code
#        Sub AT MSO/DSO6xxx Check Firmware Revision
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Agilent 11667A Power Splitter (for external trigger tests)
#        Termination, feedthrough, BNC, 50 Ohm (for external trigger tests)
#
# The procedure was tested using:
#        Model Number     : MSO6034A (simulating DSO6034A)
#        Serial number    : MY50510159
#        Firmware Revision: 06.15.0001
#
# Average run time during testing:
#         7 min. (TAR mode)
#        24 min. (MU mode)
#
# This procedure is intended for use with MET/CAL® calibration software;
# the terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  9500         300MH                        100mVpp        LS    N  L
  1.004  ENDIF

  1.005  IF           NOT(VERSIONCHECK("7.3"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright

  1.009  HEAD         PRELIMINARY INSTRUCTIONS
  1.010  DISP         Ensure a minimum UUT warm-up time of at least
  1.010  DISP         30 minutes has been allowed to elapse, prior
  1.010  DISP         to beginning verification.

  1.011  CALL         Sub UUT Connection GPIB

  1.012  HEAD         UUT IDENTIFICATION
  1.013  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.014  MATH         @UUT_Manufacturer  = "Agilent Technologies"
  1.015  MATH         @UUT_Manufacturer2 = "Hewlett-Packard"
  1.016  MATH         @UUT_Model         = "DSO6034A"
  1.017  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.018  IF           @Abort
  1.019  END
  1.020  ENDIF

  1.021  CALL         Sub AT MSO/DSO6xxx Check Date Code

# Reset statement for UUT, clearing UUT status register.
  1.022  RESET        *CLS

  1.023  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.024  CALL         Sub Select Failed Test Mode
  1.025  CALL         Sub Select Verification Method

  1.026  HEAD         EQUIPMENT REQUIRED
  1.027  DISP         The following additional equipment is required to
  1.027  DISP         facilitate the verification:
  1.027  DISP
  1.027  DISP         - Power Splitter, 50 Ohm, Agilent 11667A or equivalent
  1.027  DISP         - Termination, feedthrough, BNC, 50 Ohm

  1.028  CALL         Sub Self Test SCPI No Connection

  1.029  IF           @Abort
  1.030  END
  1.031  ENDIF

# Set Bandwidth and Number of Channels.
  1.032  MATH         @Bandwidth = 300E+6; @NumChan = 4

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with the source documentation.
#
# Agilent DSO6034A
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   VOLTAGE MEASUREMENT ACCY (Chan 1)  VOLTAGE MEASUREMENT ACCY (Chan 1)
#    3.   VOLTAGE MEASUREMENT ACCY (Chan 2)  BANDWIDTH                (Chan 1)
#    4.   VOLTAGE MEASUREMENT ACCY (Chan 3)  TIME SCALE ACCURACY
#    5.   VOLTAGE MEASUREMENT ACCY (Chan 4)  HORIZONTAL DELAY TIME ACCURACY
#    6.   BANDWIDTH                (Chan 1)  TRIGGER SENS   (Internal, Chan 1)
#    7.   BANDWIDTH                (Chan 2)  VOLTAGE MEASUREMENT ACCY (Chan 2)
#    8.   BANDWIDTH                (Chan 3)  BANDWIDTH                (Chan 2)
#    9.   BANDWIDTH                (Chan 4)  TRIGGER SENS   (Internal, Chan 2)
#   10.   TIME SCALE ACCURACY                VOLTAGE MEASUREMENT ACCY (Chan 3)
#   11.   HORIZONTAL DELAY TIME ACCURACY     BANDWIDTH                (Chan 3)
#   12.   TRIGGER SENS   (Internal, Chan 1)  TRIGGER SENS   (Internal, Chan 3)
#   13.   TRIGGER SENS   (Internal, Chan 2)  VOLTAGE MEASUREMENT ACCY (Chan 4)
#   14.   TRIGGER SENS   (Internal, Chan 3)  BANDWIDTH                (Chan 4)
#   15.   TRIGGER SENS   (Internal, Chan 4)  TRIGGER SENS   (Internal, Chan 4)
#   16.   TRIGGER SENS   (External)          TRIGGER SENS   (External)

  1.033  HEAD         INSTRUMENT CONNECTIONS
  1.034  DISP         Make the following connections:
  1.034  DISP
  1.034  DISP         [32]       9500          to      UUT
  1.034  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 1 (X)

  1.035  IF           ZCMPI(@MeasMode, "TAR")
  1.036  DISP         The next routine operator intervention occurs
  1.036  DISP         in approximately 2½ minutes.
  1.037  ELSE
  1.038  DISP         The next routine operator intervention occurs
  1.038  DISP         in approximately 7½ minutes.
  1.039  ENDIF

  1.040  MATH         @Chan = 1
  1.041  CALL         Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500
  1.042  JMPL         CH1_BANDWIDTH

  1.043  LABEL        CH2_DCV_GAIN
  1.044  HEAD         INSTRUMENT CONNECTIONS
  1.045  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.046  DISP         Make the following connections:
  1.046  DISP
  1.046  DISP         [32]       9500          to      UUT
  1.046  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 2 (Y)

  1.047  IF           ZCMPI(@MeasMode, "TAR")
  1.048  DISP         The next routine operator intervention occurs
  1.048  DISP         in approximately 1½ minutes.
  1.049  ELSE
  1.050  DISP         The next routine operator intervention occurs
  1.050  DISP         in approximately 5½ minutes.
  1.051  ENDIF

  1.052  MATH         @Chan = 2
  1.053  CALL         Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500
  1.054  JMPL         CH2_BANDWIDTH

  1.055  LABEL        CH3_DCV_GAIN
  1.056  HEAD         INSTRUMENT CONNECTIONS
  1.057  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.058  DISP         Make the following connections:
  1.058  DISP
  1.058  DISP         [32]       9500          to    UUT
  1.058  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 3

  1.059  IF           ZCMPI(@MeasMode, "TAR")
  1.060  DISP         The next routine operator intervention occurs
  1.060  DISP         in approximately 1½ minutes.
  1.061  ELSE
  1.062  DISP         The next routine operator intervention occurs
  1.062  DISP         in approximately 5½ minutes.
  1.063  ENDIF

  1.064  MATH         @Chan = 3
  1.065  CALL         Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500
  1.066  JMPL         CH3_BANDWIDTH

  1.067  LABEL        CH4_DCV_GAIN
  1.068  HEAD         INSTRUMENT CONNECTIONS
  1.069  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.070  DISP         Make the following connections:
  1.070  DISP
  1.070  DISP         [32]       9500          to      UUT
  1.070  DISP         [32]  CH1 ACTIVE HEAD -------> Ch 4 (Z)

  1.071  IF           ZCMPI(@MeasMode, "TAR")
  1.072  DISP         The next routine operator intervention occurs
  1.072  DISP         in approximately 1½ minutes.
  1.073  ELSE
  1.074  DISP         The next routine operator intervention occurs
  1.074  DISP         in approximately 5½ minutes.
  1.075  ENDIF

  1.076  MATH         @Chan = 4
  1.077  CALL         Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500
  1.078  JMPL         CH4_BANDWIDTH

  1.079  LABEL        CH1_BANDWIDTH
  1.080  CALL         Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500
  1.081  JMPL         HORIZ_DELTA_T_ACCY

  1.082  LABEL        CH2_BANDWIDTH
  1.083  CALL         Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500
  1.084  JMPL         CH2_TRIG

  1.085  LABEL        CH3_BANDWIDTH
  1.086  CALL         Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500
  1.087  JMPL         CH3_TRIG

  1.088  LABEL        CH4_BANDWIDTH
  1.089  CALL         Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500
  1.090  JMPL         CH4_TRIG

  1.091  LABEL        HORIZ_DELTA_T_ACCY

  1.092  IF           @MfgYear >= 8
  1.093  CALL         Sub AT MSO/DSO60xx (1 yr) Time Scale IEEE /9500
  1.094  ENDIF

  1.095  CALL         Sub AT MSO/DSO6xxx (1 yr) Horiz Delta t IEEE /9500
  1.096  CALL         Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500
  1.097  JMPL         CH2_DCV_GAIN

  1.098  LABEL        CH2_TRIG
  1.099  CALL         Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500
  1.100  JMPL         CH3_DCV_GAIN

  1.101  LABEL        CH3_TRIG
  1.102  CALL         Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500
  1.103  JMPL         CH4_DCV_GAIN

  1.104  LABEL        CH4_TRIG
  1.105  CALL         Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500

  1.106  HEAD         INSTRUMENT CONNECTIONS
  1.107  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.108  DISP         Connect the 9500 CH1 ACTIVE HEAD to the Power Splitter
  1.108  DISP         input, using any necessary adapters.
  1.108  DISP
  1.108  DISP         Connect one output port of the Power Splitter
  1.108  DISP         to the UUT Ch. 1 (X) input.
  1.108  DISP
  1.108  DISP         Connect the other output port of the Power Splitter,
  1.108  DISP         via a 50 Ohm feedthrough termination,
  1.108  DISP         to the UUT AUX TRIG IN (rear panel).
  1.108  DISP
  1.108  DISP         NOTE: This is the last connection change.  Barring a
  1.108  DISP         limit failure, this verification will be complete in
  1.108  DISP         < 1 minute.

  1.109  MATH         @Chan = 1
  1.110  CALL         Sub AT MSO/DSO6xx4 (1 yr) Ext Trig 4Ch IEEE /9500

  1.111  RSLT         =
  1.112  HEAD         {V E R I F I C A T I O N   C O M P L E T E}
  1.113  END
